Loading...
Searching...
No Matches
osmo_sccp_addr_entry Struct Reference

## Data Fields

struct llist_head | list
struct llist_head | list_global
struct osmo_ss7_instance * | inst
char | name [32]
struct osmo_sccp_addr | addr

## Field Documentation

## addr

struct osmo_sccp_addr osmo_sccp_addr_entry::addr

Referenced by DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_addr_by_name(), osmo_sccp_addr_by_name_local(), osmo_sccp_name_by_addr(), and write_sccp_addressbook().

## inst

struct osmo_ss7_instance* osmo_sccp_addr_entry::inst

Referenced by addr_entry_by_name_local(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_addr_by_name(), osmo_sccp_addr_by_name_local(), osmo_ss7_vty_go_parent(), and write_sccp_addressbook().

## list

struct llist_head osmo_sccp_addr_entry::list

Referenced by addr_entry_by_name_local(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), and write_sccp_addressbook().

## list_global

struct llist_head osmo_sccp_addr_entry::list_global

Referenced by addr_entry_by_name_global(), DEFUN_ATTR(), DEFUN_ATTR(), and osmo_sccp_name_by_addr().

## name

char osmo_sccp_addr_entry::name[32]

Referenced by addr_entry_by_name_global(), addr_entry_by_name_local(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_addr_by_name(), osmo_sccp_addr_by_name_local(), osmo_sccp_name_by_addr(), and write_sccp_addressbook().

The documentation for this struct was generated from the following file:

- src/osmo_ss7_vty.c